Create multiple identities
Creates multiple [identities](https://www.ory.com/docs/kratos/concepts/identity-user-model).
PATCH /admin/identities
Creates multiple identities.
You can also use this endpoint to import credentials, including passwords, social sign-in settings, and multi-factor authentication methods.
If the patch includes hashed passwords you can import up to 1,000 identities per request.
If the patch includes at least one plaintext password you can import up to 200 identities per request.
Avoid importing large batches with plaintext passwords. They can cause timeouts as the passwords need to be hashed before they are stored.
If at least one identity is imported successfully, the response status is 200 OK. If all imports fail, the response is one of the following 4xx errors: 400 Bad Request: The request payload is invalid or improperly formatted. 409 Conflict: Duplicate identities or conflicting data were detected.
If you get a 504 Gateway Timeout: Reduce the batch size Avoid duplicate identities Pre-hash passwords with BCrypt
If the issue persists, contact support.
Operation ID: batchPatchIdentities Tag: identity
Request body
Content-Type: application/json
Type: object
Schema: patchIdentitiesBody, see the Ory Identities API schemas reference for the full type.
Responses
| Status | Description | Body |
|---|---|---|
| 200 | batchPatchIdentitiesResponse | application/json, object |
| 400 | errorGeneric | application/json, object |
| 409 | errorGeneric | application/json, object |
| default | errorGeneric | application/json, object |
Security
oryAccessToken
Generated from /tmp/kratos-api.json at build time.